Cyberduck Mountain Duck CLI

#10185 closed defect (worksforme)

Menu with list of editors not showing up correctly

Reported by: dduck Owned by: dkocher
Priority: normal Milestone:
Component: interface Version: 6.3.2
Severity: normal Keywords: Editors
Cc: Architecture: Intel
Platform: macOS 10.12

Description

If HTML file is selected, just nvALT and Unknown with a Sublime Text icon is showing up as editor in the context menu plus a long empty menu. Selecting Unknown doesn't open Sublime Text. Selecting .htaccess is working and gives MacVim and Sublime Text as available options. Tried resetting lsregister with no avail.

Attachments (2)

selecting_html_bug.png (200.3 KB) - added by dduck on Dec 29, 2017 at 10:52:17 AM.
No valid editor in context menu
Cyberduck_Bug_selecting_html_bug_EditWith.png (245.0 KB) - added by dduck on Jan 10, 2018 at 12:51:37 PM.
No valid editor in Edit With menu

Download all attachments as: .zip

Change History (8)

Changed on Dec 29, 2017 at 10:52:17 AM by dduck

No valid editor in context menu

comment:1 follow-up: Changed on Jan 10, 2018 at 9:41:47 AM by dkocher

  • Summary changed from Mac OS X - List of Editors not showing up correctly to Menu with list of editors not showing up correctly

Do you see the same issue in File → Edit With?

Changed on Jan 10, 2018 at 12:51:37 PM by dduck

No valid editor in Edit With menu

comment:2 in reply to: ↑ 1 Changed on Jan 10, 2018 at 1:00:57 PM by dduck

Replying to dkocher:

Do you see the same issue in File → Edit With?

Yes, same issue in Edit With menu (see attachment). After upgrading to Cyberduck 6.3.3, on the first run of the new version there were some valid editors in both menus, though the first two were named unknown next to the nvALT and Xcode icon. The initial issue returned immediately after quitting and restarting Cyberduck. Only in Preferences the list of alternative editors is showing all my valid editors correctly.

comment:3 Changed on Feb 15, 2019 at 2:08:32 PM by dkocher

  • Component changed from core to interface
  • Owner set to dkocher

comment:4 Changed on May 31, 2019 at 3:18:13 PM by dkocher

Please try to rebuild the launch services database using /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/Support/lsregister -kill -r -v -apps u in a Terminal.app window.

comment:5 Changed on Jun 4, 2019 at 7:28:24 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

comment:6 Changed on Aug 13, 2019 at 4:15:26 AM by dduck

Hello dkocher. Sorry for not replying immediately to your last comments. I was trying to rebuild launch services database without success before I have been opening this ticket in 2017 for Cyberduck version 6.3.2.
While I have been without access to internet for quite some time, Cyberduck version 7.x got released. However, even without rebuilding launch service db, with Cyberduck version 7.0.0 the bug suddenly disappeared. The menu with list of editors returned to normal behavior and remote html files could be opened in an editor of choice through the context menu and the main menu.
As of Cyberduck version 7.0.2 the bug suddenly returned. The difference to version 6.x is, that rebuilding launch services database is now a working solution for the bug and the menu works again. Maybe it is just a temporary fix and nvALT is going to reappear as the only selectable editor in the close future. At the time version 7.0.0 was installed, there were also some macOS security patches. Those could have run some maintenance scripts like fetching lsdb. I´ll keep an eye on it and maybe report back, if there is some further remarkable note on the bug.
So far, thank you very much for your help.

Last edited on Aug 13, 2019 at 4:17:54 AM by dduck (previous) (diff)
Note: See TracTickets for help on using tickets.
swiss made software